Bug 273876 - The quick brush/color selector popup should use _preset icons_ instead of _brush engine_ icons
Summary: The quick brush/color selector popup should use _preset icons_ instead of _br...
Status: RESOLVED FIXED
Alias: None
Product: krita
Classification: Unclassified
Component: Usability (show other bugs)
Version: git master (please specify the git hash!)
Platform: Compiled Sources Linux
: NOR minor
Target Milestone: ---
Assignee: Sven Langkamp
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-05-22 18:29 UTC by pentalis
Modified: 2011-06-11 14:58 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description pentalis 2011-05-22 18:29:07 UTC
The quick brush/color selector popup should use _preset icons_ instead of _brush engine_ icons.

This is part of the Krita agenda to focus on presenting brushes as presets rather than engines.
Comment 1 Sven Langkamp 2011-06-11 14:58:24 UTC
Git commit 0a9f5d06157dd4189b5680f84f5ea66d2586e536 by Sven Langkamp.
Committed on 11/06/2011 at 14:56.
Pushed by langkamp into branch 'master'.

use presets instead of paintops in popup palette
BUG:273876

M  +59   -56   krita/ui/kis_palette_manager.cpp     
M  +8    -8    krita/ui/kis_palette_manager.h     
M  +79   -56   krita/ui/kis_popup_palette.cpp     
M  +9    -7    krita/ui/kis_popup_palette.h     
M  +62   -93   krita/ui/ko_favorite_resource_manager.cpp     
M  +18   -14   krita/ui/ko_favorite_resource_manager.h     
M  +23   -2    krita/ui/widgets/kis_preset_chooser.cpp     
M  +7    -0    krita/ui/widgets/kis_preset_chooser.h     

http://commits.kde.org/calligra/0a9f5d06157dd4189b5680f84f5ea66d2586e536